BeakerDashboard.dashRow (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class BeakerDashboard.dashRow

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.BeakerDashboard.dashRow

- Enclosing class:
    BeakerDashboard

      public class BeakerDashboard.dashRow
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `dashRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(BeakerDashboard.dashColumn o)`
    `java.util.List<BeakerDashboard.dashColumn>` | `getColumns()`
    `java.lang.String` | `getTheClass()`
    `java.lang.String` | `getTheStyle()`
    `void` | `serialize(com.fasterxml.jackson.core.JsonGenerator jgen, com.twosigma.beakerx.jvm.serialization.BeakerObjectConverter boc)`
    `void` | `setTheClass(java.lang.String c)`
    `void` | `setTheStyle(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### dashRow

          protected dashRow()

  - ### Method Detail

    - #### getColumns

          public java.util.List<BeakerDashboard.dashColumn> getColumns()

    - #### getTheClass

          public java.lang.String getTheClass()

    - #### setTheClass

          public void setTheClass(java.lang.String c)

    - #### getTheStyle

          public java.lang.String getTheStyle()

    - #### setTheStyle

          public void setTheStyle(java.lang.String s)

    - #### addColumn

          public void addColumn(BeakerDashboard.dashColumn o)

    - #### serialize

          public void serialize(com.fasterxml.jackson.core.JsonGenerator jgen,
                                com.twosigma.beakerx.jvm.serialization.BeakerObjectConverter boc)
                         throws com.fasterxml.jackson.core.JsonGenerationException,
                                java.io.IOException

      Throws:
        `com.fasterxml.jackson.core.JsonGenerationException`
        `java.io.IOException`